# BaseElement
No Description

## Functions

|Method|Returns|Description|
|---|---|---|
|[BaseElement.debug](#baseelement-debug)|-|Enables debugging for this element
|[BaseElement.dumpDebug](#baseelement-dumpdebug)|-|Dumps debug information


## BaseElement.debug(self, level)
Enables debugging for this element

### Parameters
* `self` `BaseElement` The element to debug
* `level` `number` The debug level

## BaseElement.dumpDebug(self)
Dumps debug information for this element

### Parameters
* `self` `BaseElement` The element to dump debug info for


---
<br>

# BaseFrame

## Functions

|Method|Returns|Description|
|---|---|---|
|[BaseFrame.hideDebugLog](#baseframe-hidedebuglog)|-|Hides the debug log frame
|[BaseFrame.showDebugLog](#baseframe-showdebuglog)|-|Shows the debug log frame
|[BaseFrame.toggleDebugLog](#baseframe-toggledebuglog)|-|Toggles the debug log frame


## BaseFrame.hideDebugLog(self)
Hides the debug log frame

### Parameters
* `self` `BaseFrame` The frame to hide debug log for

## BaseFrame.showDebugLog(self)
Shows the debug log frame

### Parameters
* `self` `BaseFrame` The frame to show debug log in

## BaseFrame.toggleDebugLog(self)
Toggles the debug log frame

### Parameters
* `self` `BaseFrame` The frame to toggle debug log for


---
<br>

# Container

## Functions

|Method|Returns|Description|
|---|---|---|
|[Container.debugChildren](#container-debugchildren)|-|Debug container and children


## Container.debugChildren(self, level)
Enables debugging for this container and all its children

### Parameters
* `self` `Container` The container to debug
* `level` `number` The debug level


